Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 23

Thread: Some items failed to launch after the updates

  1. #11

    Default Re: Some items failed to launch after the updates

    I have done zypper up and zypper dup and returned to me "nothing to do". It didn't help. The settings don't working.
    What can I do to fix that ? It will come update for that ? When ?

    Sorry for my English

  2. #12
    Join Date
    Jul 2010
    Location
    Malaysia +8 GMT
    Posts
    198

    Default Re: Some items failed to launch after the updates

    Quote Originally Posted by korn84 View Post
    I have done zypper up and zypper dup and returned to me "nothing to do". It didn't help. The settings don't working.
    What can I do to fix that ? It will come update for that ? When ?

    Sorry for my English
    mixed repos? maybe you can post the output here

    zypper lr -d
    Intel G2020 (Ivy), Asus P8H77-M LE, Tumbleweed, Gnome 3.24 on 120GB SSD
    Intel i5 4590 (Haswell), MSI B85M-G43, MSI GTX750Ti, Tumbleweed, Gnome 3.24 on 120GB SSD

  3. #13

    Default Re: Some items failed to launch after the updates

    Quote Originally Posted by korn84 View Post
    I have done zypper up and zypper dup and returned to me "nothing to do". It didn't help. The settings don't working.
    What can I do to fix that ?
    I already asked you about your repo list.
    Please post it.
    Code:
    zypper lr -d
    "zypper dup" should fix it normally, but you could also try "zypper up samba".

    It will come update for that ? When ?
    No.
    There's nothing wrong with the update per se.
    But "zypper up" apparently might not fully update everything...

  4. #14

    Default Re: Some items failed to launch after the updates

    zypper lr -d
    # | Alias | Name | Enabled | GPG Check | Refresh | Priority | Type | URI | Service
    --+----------------------------------+-----------------------------+---------+-----------+---------+----------+--------+----------------------------------------------------------------------------+--------
    1 | http-ftp.gwdg.de-c062c19a | Packman Repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://ftp.gwdg.de/pub/linux/packman...SE_Tumbleweed/ |
    2 | http-opensuse-guide.org-4fee20e4 | libdvdcss repository | Yes | (r ) Yes | Yes | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Tumbleweed/ |
    3 | openSUSE-20160307-0 | openSUSE-20160307-0 | Yes | (r ) Yes | No | 99 | yast2 | cd:///?devices=/dev/disk/by-id/ata-TSSTcorp_CDDVDW_SH-224FB_S16S6YAG802MH4 |
    4 | repo-debug | openSUSE-Tumbleweed-Debug | No | ---- | Yes | 99 | NONE | http://download.opensuse.org/debug/tumbleweed/repo/oss/ |
    5 | repo-non-oss | openSUSE-Tumbleweed-Non-Oss | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensuse.org/tumbleweed/repo/non-oss/ |
    6 | repo-oss | openSUSE-Tumbleweed-Oss | Yes | (r ) Yes | Yes | 99 | yast2 | http://download.opensuse.org/tumbleweed/repo/oss/ |
    7 | repo-source | openSUSE-Tumbleweed-Source | No | ---- | Yes | 99 | NONE | http://download.opensuse.org/source/...weed/repo/oss/ |
    8 | repo-update | openSUSE-Tumbleweed-Update | Yes | (r ) Yes | Yes | 99 | rpm-md | http://download.opensuse.org/update/tumbleweed/ |


    this is my zypper lr -d output

  5. #15

    Default Re: Some items failed to launch after the updates

    zypper up samba !
    Thank you ! It's working !!! This is the solution !

  6. #16
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,657

    Default Re: Some items failed to launch after the updates

    Don’t need 2 libdvdcss never updates down load one remove

    Don't need 3 that is the install media which you no longer should need to put in every update.

    The rest looks ok

  7. #17
    Join Date
    Jun 2008
    Location
    Cambridge, UK
    Posts
    76

    Arrow Re: Some items failed to launch after the updates

    I came here because of the error

    mplayer: relocation error: /usr/lib64/samba/libauthkrb5-samba4.so: symbol tevent_req_is_unix_error, version TEVENT_UTIL_0.0.1 not defined in file libtevent-util.so.0 with link tim

    e reference

    If I do zypper up, I get

    The following 313 package updates will NOT be installed:

    and if I do zypper dup, I get
    Nothing to do.


    I tried doing zypper up samba and

    Problem: samba-4.4.2-1.1.x86_64 requires libsamba-debug-samba4.so(SAMBA_4.4.2_3643_SUSE_OS13.3_X86_64)(64bit), but this requirement cannot be provided
    uninstallable providers: samba-libs-4.4.2-1.1.x86_64[repo-oss]
    Solution 1: Following actions will be done:
    deinstallation of libsmbclient-raw0-4.2.4-15.1.x86_64
    deinstallation of libregistry0-4.2.4-15.1.x86_64
    deinstallation of libgensec0-4.2.4-15.1.x86_64
    Solution 2: do not install samba-4.4.2-1.1.x86_64
    Solution 3: break samba-4.4.2-1.1.x86_64 by ignoring some of its dependencies

    Choose from above solutions by number or cancel [1/2/3/c] (c): 3
    Resolving dependencies...
    Resolving package dependencies...


    The following package is going to be REMOVED:
    samba-32bit

    The following package is going to be upgraded:
    samba

    1 package to upgrade, 1 to remove.


    but the problem persists

    --
    Cambridge geek, will code for gadgets

  8. #18
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,657

    Default Re: Some items failed to launch after the updates

    You need to switch vendors to packman

    zypper lr -d

    then note which number is packman, Then

    zypper dup --from {the noted number here}

    That will switch all media files to packman

  9. #19
    Join Date
    Jun 2008
    Location
    Cambridge, UK
    Posts
    76

    Default Re: Some items failed to launch after the updates

    thanks for the suggestion,

    Code:
    ( 1/13) Installing: libdca0-0.0.5-3.37.x86_64 ...............................................................................................................................[done]
    ( 2/13) Installing: libshine3-3.1.0-2.3.x86_64 ..............................................................................................................................[done]
    ( 3/13) Installing: libpostproc53-2.8.20160302.f9f9f31-1.6.x86_64 ...........................................................................................................[done]
    ( 4/13) Installing: libmad0-0.15.1b-1.18.x86_64 .............................................................................................................................[done]
    ( 5/13) Installing: gstreamer-plugins-base-1.8.0-64.4.x86_64 ................................................................................................................[done]
    ( 6/13) Installing: libmpeg2-0-0.5.1-3.17.x86_64 ............................................................................................................................[done]
    ( 7/13) Installing: libvlccore8-2.2.2-3.6.x86_64 ............................................................................................................................[done]
    ( 8/13) Installing: libvlc5-2.2.2-3.6.x86_64 ................................................................................................................................[done]
    ( 9/13) Installing: vlc-noX-2.2.2-3.6.x86_64 ................................................................................................................................[done]
    (10/13) Installing: vlc-codecs-2.2.2-3.6.x86_64 .............................................................................................................................[done]
    (11/13) Installing: vlc-qt-2.2.2-3.6.x86_64 .................................................................................................................................[done]
    (12/13) Installing: vlc-2.2.2-3.6.x86_64 ....................................................................................................................................[done]
    (13/13) Installing: vlc-noX-lang-2.2.2-3.6.noarch ...........................................................................................................................[done]
    There are some running programs that might use files deleted by recent upgrade. You may wish to check and restart some of them. Run 'zypper ps -s' to list these programs.
    
    
    sadly didn't help, same old error
    Code:
    $ mplayer 2016*
    mplayer: relocation error: /usr/lib64/samba/libauthkrb5-samba4.so: symbol tevent_req_is_unix_error, version TEVENT_UTIL_0.0.1 not defined in file libtevent-util.so.0 with link tim
    e reference
    --
    Cambridge geek, will code for gadgets

  10. #20

    Default Re: Some items failed to launch after the updates

    Quote Originally Posted by korn84 View Post
    zypper up samba !
    Thank you ! It's working !!! This is the solution !
    Code:
    zypper up samba
    This required a deinstallation (removal) of four packages for me: libgensec0 libregistry0 libsmbclient-raw0 samba-32bit

    But, my system (including Samba) seemed to work properly after this.

    I think zypper up has an aversion to deinstallation like this, so opted not to install the new package, rather than uninstall a few old packages.

Page 2 of 3 FirstFirst 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •